@import 'layout';

.pageLayout {
  --background-color-body: #f7f6f6;

  --padding-body: var(--spacing-layout-m) 0 10rem;
}

.pageLayout {
  min-height: 100%;
  width: 100%;

  display: grid;

  grid-template-rows: auto 1fr auto;
}

.pageBody {
  display: grid;
  background-color: var(--background-color-body);
  padding: var(--padding-body);

  @include respond-below(sm) {
    opacity: 1;
    transition: visibility 0.2s, opacity 0.2s;

    &.mobileMenuOpen {
      opacity: 0;
      visibility: hidden;
    }
  }

  h1 {
    font-size: var(--fontsize-heading-l);
  }

  h2 {
    font-size: var(--fontsize-heading-m);
  }
}
